org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Concat

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Concat
    extends Stage

Concatenate the given graphs together.

Each graph must have an outlet and no inlet.

The resulting publisher produced by the concat stage must emit all the elements from the first graph, and once that graph emits a completion signal, it must then subscribe to and emit all the elements from the second. If an error is emitted by the either graph, the error must be emitted from the resulting stream.

If processing terminates early while the first graph is still emitting, either due to that graph emitting an error, or due to a cancellation signal from downstream, then the second graph must be subscribed to and cancelled. This is to ensure that any hot publishers holding onto resources that may be backing the graphs are cleaned up.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Graph` `getFirst()` The first graph in the stream.
`Graph` `getSecond()` The second graph in the stream.

### Method Detail

#### getFirst

    Graph getFirst()

The first graph in the stream.

Returns:
  The first graph.

#### getSecond

    Graph getSecond()

The second graph in the stream.

Returns:
  The second graph.